### Method

# Gio DBusMessage copy

since: 2.26

#### Declaration

    GDBusMessage*
    g_dbus_message_copy (
      GDBusMessage* message
      GError** error
    )

#### Description

Copies `message`. The copy is a deep copy and the returned `GDBusMessage` is completely identical except that it is guaranteed to not be locked.

This operation can fail if e.g. `message` contains file descriptors and the per-process or system-wide open files limit is reached.

Available since: 2.26

#### Return value

Type: `GDBusMessage`

A new `GDBusMessage` or `NULL` if `error` is set. Free with g_object_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.